{%- import "shuup_definite_theme/product_list_macros.jinja" as product_list_macros with context %}

{% set variation_info = xtheme.get_variation_information(request, product) %}
{% set shop_product = product.get_shop_instance(request.shop, allow_cache=True) %}
{% if not quantity %}
    {% set quantity = shop_product.rounded_minimum_purchase_quantity %}
{% endif %}
{% set quantity = quantity|int %}

<form role="form" method="post" action="{{ url("shuup:basket") }}" class="add-to-basket">
    {% set return_path = return_url if return_url else request.path %}
    <input type="hidden" name="return" value="{{ return_path }}">
    {% if unorderability_reason %}
        <p class="text-warning not-orderable">{{ unorderability_reason }}</p>
    {% elif variation_info.variation_variables %}
        {{ product_list_macros.product_list_variable_variation_form(shop_product, quantity, variation_info, supplier=supplier) }}
    {% elif variation_info.variation_children %}
        {{ product_list_macros.product_list_simple_variation_form(shop_product, quantity, variation_info, supplier=supplier) }}
    {% else %}
        {{ product_list_macros.product_list_simple_product_form(shop_product, quantity, supplier=supplier) }}
    {% endif %}
</form>
